# coding: utf-8

"""
    Identity Service API

    A list of identity, account and service management APIs.  # noqa: E501

    OpenAPI spec version: 1.6.5
    
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""

import pprint
import re  # noqa: F401

import six

class OrganizationRolesResponse(object):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    """
    """
    Attributes:
      swagger_types (dict): The key is attribute name
                            and the value is attribute type.
      attribute_map (dict): The key is attribute name
                            and the value is json key in definition.
    """
    swagger_types = {
        'ref_links': 'list[str]',
        'org_roles_data': 'list[OrganizationRolesResponseOrgRolesData]'
    }

    attribute_map = {
        'ref_links': 'refLinks',
        'org_roles_data': 'orgRolesData'
    }

    def __init__(self, ref_links=None, org_roles_data=None):  # noqa: E501
        """OrganizationRolesResponse - a model defined in Swagger"""  # noqa: E501
        self._ref_links = None
        self._org_roles_data = None
        self.discriminator = None
        if ref_links is not None:
            self.ref_links = ref_links
        if org_roles_data is not None:
            self.org_roles_data = org_roles_data

    @property
    def ref_links(self):
        """Gets the ref_links of this OrganizationRolesResponse.  # noqa: E501


        :return: The ref_links of this OrganizationRolesResponse.  # noqa: E501
        :rtype: list[str]
        """
        return self._ref_links

    @ref_links.setter
    def ref_links(self, ref_links):
        """Sets the ref_links of this OrganizationRolesResponse.


        :param ref_links: The ref_links of this OrganizationRolesResponse.  # noqa: E501
        :type: list[str]
        """

        self._ref_links = ref_links

    @property
    def org_roles_data(self):
        """Gets the org_roles_data of this OrganizationRolesResponse.  # noqa: E501


        :return: The org_roles_data of this OrganizationRolesResponse.  # noqa: E501
        :rtype: list[OrganizationRolesResponseOrgRolesData]
        """
        return self._org_roles_data

    @org_roles_data.setter
    def org_roles_data(self, org_roles_data):
        """Sets the org_roles_data of this OrganizationRolesResponse.


        :param org_roles_data: The org_roles_data of this OrganizationRolesResponse.  # noqa: E501
        :type: list[OrganizationRolesResponseOrgRolesData]
        """

        self._org_roles_data = org_roles_data

    def to_dict(self):
        """Returns the model properties as a dict"""
        result = {}

        for attr, _ in six.iteritems(self.swagger_types):
            value = getattr(self, attr)
            if isinstance(value, list):
                result[attr] = list(map(
                    lambda x: x.to_dict() if hasattr(x, "to_dict") else x,
                    value
                ))
            elif hasattr(value, "to_dict"):
                result[attr] = value.to_dict()
            elif isinstance(value, dict):
                result[attr] = dict(map(
                    lambda item: (item[0], item[1].to_dict())
                    if hasattr(item[1], "to_dict") else item,
                    value.items()
                ))
            else:
                result[attr] = value
        if issubclass(OrganizationRolesResponse, dict):
            for key, value in self.items():
                result[key] = value

        return result

    def to_str(self):
        """Returns the string representation of the model"""
        return pprint.pformat(self.to_dict())

    def __repr__(self):
        """For `print` and `pprint`"""
        return self.to_str()

    def __eq__(self, other):
        """Returns true if both objects are equal"""
        if not isinstance(other, OrganizationRolesResponse):
            return False

        return self.__dict__ == other.__dict__

    def __ne__(self, other):
        """Returns true if both objects are not equal"""
        return not self == other
